<?php
/*********************************************************************************
 * The contents of this file are subject to the TimeTrex Public License Version
 * 1.1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.TimeTrex.com/TPL
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *    (i) the "Powered by TimeTrex" logo and
 *    (ii) the TimeTrex copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * The Original Code is: TimeTrex Open Source
 * The Initial Developer of the Original Code is TimeTrex Payroll Services
 * Portions created by TimeTrex are Copyright (C) 2004-2007 TimeTrex Payroll Services;
 * All Rights Reserved.
 *
 ********************************************************************************/
/*
 * $Revision: 8160 $
 * $Id: server.php 8160 2006-05-31 23:33:54Z root $
 * $Date: 2006-05-31 16:33:54 -0700 (Wed, 31 May 2006) $
 */

//Don't force SSL for SOAP clients.
$disable_https = TRUE;

require_once('../includes/global.inc.php');
Debug::setEnable(TRUE);
Debug::setEnableDisplay(FALSE);
Debug::setEnableLog(TRUE);
Debug::setEnableTidy(FALSE);
Debug::setVerbosity(10);

if ( isset($_GET['SessionID']) AND $_GET['SessionID'] != '' ) {
	$authentication = new Authentication();

	if ( $authentication->Check( $_GET['SessionID'] ) === TRUE ) {
		$server = new SoapServer(null, array('uri' => "urn:test") );
		$server->setClass('TimeTrexSoapServer');
		$server->handle();
	} else {
		echo "User not authenticated!<br>\n";
		exit;
	}

} else {
	$server = new SoapServer(null, array('uri' => "urn:test") );
	$server->setClass('TimeTrexSoapServerUnAuthenticated');
	$server->handle();
}

Debug::writeToLog();
?>